<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmpAccessTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('emp_access', function (Blueprint $table) {
            $table->id();
            $table->string('emp_id');
            $table->string('web_app')->default('0');
            $table->string('mobile_app')->default('0');
            $table->string('attendance')->default('0');
            $table->string('timesheet_reminders')->default('0');
            $table->string('email')->default('0');
            $table->string('timesheet')->default('0');
            $table->string('del')->default('0');
            $table->timestamps();
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('emp_access');
    }
}
